package hikapro.com.backpack;

import android.app.Activity;
import android.app.Fragment;
import android.app.FragmentManager;
import android.app.FragmentTransaction;
import android.os.Bundle;

import hikapro.com.backpack.model.entities.Set;
import hikapro.com.backpack.view.View;
import hikapro.com.backpack.view.fragments.ItemListFragment;
import hikapro.com.backpack.view.fragments.SetListFragment;

public class MainActivity extends Activity implements View.ActivityCallback {

    private static String TAG = "TAG";

    private FragmentManager fragmentManager;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        fragmentManager = getFragmentManager();

        Fragment fragment = fragmentManager.findFragmentByTag(TAG);
        if (fragment == null)
            replaceFragment(SetListFragment.construct(), false);
    }

    @Override
    public void startItemListFragment(Set set) {
        replaceFragment(ItemListFragment.newFromSet(set), true);
    }

    @Override
    public void startItemDetailFragment() {

    }

    private void replaceFragment(Fragment fragment, boolean addBackStack) {
        FragmentTransaction transaction = fragmentManager.beginTransaction();
        transaction.replace(R.id.container, fragment, TAG);
        if (addBackStack)
            transaction.addToBackStack(null);
        transaction.commit();
    }
}
